Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.util
Class Args

    java.lang.Object
      org.apache.http.util.Args

    public class Args

extends Object

Constructor Summary
`Args()`

Method Summary
`static void` | `check(boolean expression, String message)`
`static void` | `check(boolean expression, String message, Object... args)`
`static void` | `check(boolean expression, String message, Object arg)`
`static
`<T extends CharSequence> T`
` | `containsNoBlanks(T argument, String name)`
`static
`<T extends CharSequence> T`
` | `notBlank(T argument, String name)`
`static
`<E,T extends Collection<E>> T`
` | `notEmpty(T argument, String name)`
`static
`<T extends CharSequence> T`
` | `notEmpty(T argument, String name)`
`static int` | `notNegative(int n, String name)`
`static long` | `notNegative(long n, String name)`
`static
`<T> T`
` | `notNull(T argument, String name)`
`static int` | `positive(int n, String name)`
`static long` | `positive(long n, String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Args

    public Args()

Method Detail

### check

    public static void check(boolean expression,
                             String message)

### check

    public static void check(boolean expression,
                             String message,
                             Object... args)

### check

    public static void check(boolean expression,
                             String message,
                             Object arg)

### notNull

    public static <T> T notNull(T argument,
                                String name)

### notEmpty

    public static <T extends CharSequence> T notEmpty(T argument,
                                                      String name)

### notBlank

    public static <T extends CharSequence> T notBlank(T argument,
                                                      String name)

### containsNoBlanks

    public static <T extends CharSequence> T containsNoBlanks(T argument,
                                                              String name)

### notEmpty

    public static <E,T extends Collection<E>> T notEmpty(T argument,
                                                         String name)

### positive

    public static int positive(int n,
                               String name)

### positive

    public static long positive(long n,
                                String name)

### notNegative

    public static int notNegative(int n,
                                  String name)

### notNegative

    public static long notNegative(long n,
                                   String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.